Skip to main content
`Ctrl`+`K`

# RGViewFromOptions

View (print) an `RG` object based on values in the options database.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGViewFromOptions(RG rg,PetscObject obj,const char name[])

Collective

## Input Parameters

- rg - the region context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

RG: Region, `RGView()`, `RGCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/sys/classes/rg/interface/rgbasic.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages